org.apache.olingo.odata2.api.uri.info

## Interface GetFunctionImportUriInfo

- All Known Subinterfaces:
    UriInfo

      public interface GetFunctionImportUriInfo

  Access to the parts of the request URI that are relevant for requests of function imports.
  Do not implement this interface or derive from class.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<String,String>` | `getCustomQueryOptions()` Gets the custom query options as Map from option names to their corresponding String values, or an empty list if no custom query options are given in the URI.
    `List<ArrayList<NavigationPropertySegment>>` | `getExpand()` Gets the value of the $expand system query option as a list of lists of navigation-property segments, or an empty list if not used.
    `String` | `getFormat()` Gets the value of the $format system query option.
    `EdmFunctionImport` | `getFunctionImport()` Gets the function import.
    `Map<String,EdmLiteral>` | `getFunctionImportParameters()` Gets the parameters of a function import as Map from parameter names to their corresponding typed values, or an empty list if no function import is used or no parameters are given in the URI.
    `InlineCount` | `getInlineCount()` Gets the value of the $inlinecount system query option.
    `List<SelectItem>` | `getSelect()` Gets the value of the $select system query option as a list of select items, or an empty list if not used.

- - ### Method Detail

    - #### getFunctionImport

          EdmFunctionImport getFunctionImport()

      Gets the function import.
      Returns:
        `EdmFunctionImport` the function import

    - #### getFormat

          String getFormat()

      Gets the value of the $format system query option.
      Returns:
        the format (as set as `$format` query parameter) or null

    - #### getFunctionImportParameters

          Map<String,EdmLiteral> getFunctionImportParameters()

      Gets the parameters of a function import as Map from parameter names to their corresponding typed values, or an empty list if no function import is used or no parameters are given in the URI.
      Returns:
        Map of <String, `EdmLiteral`> function import parameters

    - #### getCustomQueryOptions

          Map<String,String> getCustomQueryOptions()

      Gets the custom query options as Map from option names to their corresponding String values, or an empty list if no custom query options are given in the URI.
      Returns:
        Map of <String, String> custom query options

    - #### getInlineCount

          InlineCount getInlineCount()

      Gets the value of the $inlinecount system query option.
      Returns:
        `InlineCount` the inline count or null

    - #### getSelect

          List<SelectItem> getSelect()

      Gets the value of the $select system query option as a list of select items, or an empty list if not used.
      Returns:
        List of `SelectItem` to be selected

    - #### getExpand

          List<ArrayList<NavigationPropertySegment>> getExpand()

      Gets the value of the $expand system query option as a list of lists of navigation-property segments, or an empty list if not used.
      Returns:
        List of a list of `NavigationPropertySegment` to be expanded

Copyright © 2013-2023 The Apache Software Foundation. All Rights Reserved.